package com.sa.ibiz.demo.demo.codelist;

import java.util.ArrayList;
import java.util.List;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import org.springframework.util.StringUtils;
import org.springframework.stereotype.Component;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import com.sa.ibiz.demo.ibizutil.domain.CodeList;
import com.sa.ibiz.demo.ibizutil.domain.CodeItem;


/**
 * 代码表[代码表或模式]
 */
@Component("ionicdemo_CodeList20CodeList")
public class CodeList20CodeList extends com.sa.ibiz.demo.ibizutil.domain.CodeListBase{
    @PostConstruct
	protected void init()
	{
	}

	@Override
	public void initCodeList()  {
		CodeList codeList = new CodeList();
		codeList.setSrfkey("ionicdemo_CodeList20");
		List<CodeItem> codeItemList = new ArrayList<CodeItem>();
		CodeItem item0 = new CodeItem();
		item0.setValue("NUMBERORMODE");
		item0.setId("NUMBERORMODE");
		item0.setText("数字或处理");
		item0.setLabel("数字或处理");
		codeItemList.add(item0);
		codeList.getCodeItemModelMap().put("NUMBERORMODE",item0);
		CodeItem item1 = new CodeItem();
		item1.setValue("STRINGORMODE");
		item1.setId("STRINGORMODE");
		item1.setText("文本或模式");
		item1.setLabel("文本或模式");
		codeItemList.add(item1);
		codeList.getCodeItemModelMap().put("STRINGORMODE",item1);
		codeList.setItems(codeItemList.toArray(new CodeItem[codeItemList.size()]));
        this.setCodeList(codeList);
	}



}